1. Webhooks
api.video
  • Account
    • Show account
      GET
  • Analytics
    • List live stream player sessions
      GET
    • List player session events
      GET
    • List video player sessions
      GET
  • Authentication
    • Authenticate
      POST
    • Refresh token
      POST
  • Live
    • List all live streams
      GET
    • Create live stream
      POST
    • Delete a live stream
      DELETE
    • Show live stream
      GET
    • Update a live stream
      PATCH
    • Delete a thumbnail
      DELETE
    • Upload a thumbnail
      POST
  • Players
    • List all players
      GET
    • Create a player
      POST
    • Delete a player
      DELETE
    • Show a player
      GET
    • Update a player
      PATCH
    • Delete logo
      DELETE
    • Upload a logo
      POST
  • Videos - Delegated upload
    • Upload with an upload token
    • List all active upload tokens.
    • Generate an upload token
    • Delete an upload token
    • Show upload token
  • Videos
    • List all videos
    • Create a video
    • Delete a video
    • Show a video
    • Update a video
    • Upload a video
    • Show video status
    • Pick a thumbnail
    • Upload a thumbnail
  • Captions
    • List video captions
    • Delete a caption
    • Show a caption
    • Update caption
    • Upload a caption
  • Chapters
    • List video chapters
    • Delete a chapter
    • Show a chapter
    • Upload a chapter
  • Webhooks
    • List all webhooks
      GET
    • Create Webhook
      POST
    • Delete a Webhook
      DELETE
    • Show Webhook details
      GET
  • Schemas
    • Schemas
      • AccessToken
      • AccessToken
      • Account
      • Account
      • apiKey
      • apiKey
      • BadRequest
      • BadRequest
      • bytes_range
      • VideoCaptions
      • VideoCaptions
      • UpdateCaptionPayload
      • UpdateCaptionPayload
      • captions-upload-payload
      • Chapter
      • Chapter
      • VideoChapters
      • VideoChapters
      • UpdateChapterPayload
      • UpdateChapterPayload
      • link
      • LiveStream
      • LiveStream
      • liveStreamCreationPayload
      • liveStreamCreationPayload
      • LiveStreams
      • LiveStreams
      • Live Stream Session
      • Live Stream Session
      • live-stream-thumbnail-upload-payload
      • LiveStreamUpdatePayload
      • LiveStreamUpdatePayload
      • live_stream_assets
      • live_stream_session_client
      • live_stream_session_device
      • live_stream_session_location
      • live_stream_session_referrer
      • live_stream_session_session
      • metadata
      • NotFound
      • NotFound
      • Pagination
      • Pagination
      • PaginationLink
      • PaginationLink
      • Player
      • Player
      • Player Session Event
      • Player Session Event
      • playerCreationPayload
      • playerUpdatePayload
      • PlayerInput
      • PlayerInput
      • Players
      • Players
      • players-upload-logo-payload
      • quality
      • LiveStreamSessions
      • LiveStreamSessions
      • PlayerSessionEvents
      • PlayerSessionEvents
      • VideoSessions
      • VideoSessions
      • refreshToken
      • refreshToken
      • Subtitle
      • Subtitle
      • tokenCreationPayload
      • tokenCreationPayload
      • uploadTokens
      • uploadTokens
      • token-upload-payload
      • UploadToken
      • UploadToken
      • video
      • videoCreationPayload
      • videoCreationPayload
      • Video Session
      • Video Session
      • pickThumbnailPayload
      • pickThumbnailPayload
      • video-thumbnail-upload-payload
      • videoUpdatePayload
      • videoUpdatePayload
      • video-upload-payload
      • videoAssets
      • videoSource
      • video_session_client
      • video_session_device
      • video_session_location
      • video_session_os
      • video_session_referrer
      • video_session_session
      • video_source_live_stream
      • video_source_live_stream_link
      • Videos
      • Videos
      • VideoStatus
      • VideoStatus
      • videostatus_encoding
      • videostatus_encoding_metadata
      • videostatus_ingest
      • Webhook
      • Webhook
      • webhooks-create-payload
      • Webhooks
      • Webhooks
  1. Webhooks

List all webhooks

GET
/webhooks
Requests to this endpoint return a list of your webhooks (with all their details). You can filter what the webhook list that the API returns using the parameters described below.

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://ws.api.video/webhooks'
Response Response Example
{
    "data": [
        {
            "createdAt": "2021-01-08T14:12:18.000Z",
            "events": [
                "video.encoding.quality.completed"
            ],
            "url": "http://clientnotificationserver.com/notif?myquery=query",
            "webhookId": "webhook_XXXXXXXXXXXXXXX"
        },
        {
            "createdAt": "2021-01-12T12:12:12.000Z",
            "events": [
                "video.encoding.quality.completed"
            ],
            "url": "http://clientnotificationserver.com/notif?myquery=query2",
            "webhookId": "webhook_XXXXXXXXXYYYYYY"
        }
    ],
    "pagination": {
        "currentPage": 1,
        "currentPageItems": 11,
        "itemsTotal": 11,
        "links": [
            {
                "rel": "self",
                "uri": "https://ws.api.video/webhooks?currentPage=1"
            },
            {
                "rel": "first",
                "uri": "https://ws.api.video/webhooks?currentPage=1"
            },
            {
                "rel": "last",
                "uri": "https://ws.api.video/webhooks?currentPage=1"
            }
        ],
        "pageSize": 25,
        "pagesTotal": 1
    }
}
Modified at 2023-08-15 05:52:15
Previous
Upload a chapter
Next
Create Webhook
Built with